Bug 172982 - [UPDATE] audio/linnya: update to 2.3.0
[UPDATE] audio/linnya: update to 2.3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 12:40 UTC by ghw
Modified: 2013-02-16 09:10 UTC (History)
0 users

See Also:


Attachments
linnya-2.3.0.patch (2.43 KB, patch)
2012-10-23 12:40 UTC, ghw
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ghw 2012-10-23 12:40:00 UTC
- Update to 2.3.0
- Theme Optimization
- fix NLS options

Build logs on RedPorts: https://redports.org/buildarchive/20121023102012-52712/
Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-10-24 22:53:05 UTC
Out of curiosity, does

  -USE_GSTREAMER=       good mp3 ogg
  +USE_GSTREAMER=    good mp3

mean that the ogg support has been dropped upstream or something like
that?
Comment 2 ghw 2012-10-26 10:36:38 UTC
gstreamer-plugins-ogg is not a necessary dependency so I just removed it.

2012/10/25 Raphael Kubo da Costa <rakuco@freebsd.org>:
> Out of curiosity, does
>
>   -USE_GSTREAMER=       good mp3 ogg
>   +USE_GSTREAMER=    good mp3
>
> mean that the ogg support has been dropped upstream or something like
> that?
Comment 3 Guido Falsi freebsd_committer 2013-02-15 22:12:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 dfilter freebsd_committer 2013-02-16 09:04:46 UTC
Author: madpilot
Date: Sat Feb 16 09:04:38 2013
New Revision: 312328
URL: http://svnweb.freebsd.org/changeset/ports/312328

Log:
  - Update to 2.3.0
  - Fix NLS support
  - Remove uneeded dependency
  
  PR:		ports/172982
  Submitted by:	XiaoQI Ge <ghw@7axu.com> (maintainer)

Modified:
  head/audio/linnya/Makefile
  head/audio/linnya/distinfo
  head/audio/linnya/pkg-plist

Modified: head/audio/linnya/Makefile
==============================================================================
--- head/audio/linnya/Makefile	Sat Feb 16 08:56:28 2013	(r312327)
+++ head/audio/linnya/Makefile	Sat Feb 16 09:04:38 2013	(r312328)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	linnya
-PORTVERSION=	2.2.1
+PORTVERSION=	2.3.0
 CATEGORIES=	audio
 
 MAINTAINER=	ghw@7axu.com
@@ -13,7 +13,7 @@ LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	herenvarno
-GH_COMMIT=	5b0f38a
+GH_COMMIT=	90cf6b8
 
 USE_AUTOTOOLS=	libtoolize libtool
 GNU_CONFIGURE=	yes
@@ -21,18 +21,19 @@ USE_GMAKE=	yes
 USE_PKGCONFIG=	build
 USE_GNOME=	gtk30
 USE_SQLITE=	3
-USE_GSTREAMER=	good mp3 ogg
+USE_GSTREAMER=	good mp3
 MAKE_JOBS_SAFE=	yes
 USE_LDCONFIG=	yes
 INSTALLS_ICONS=	yes
 
 LIBTOOLIZE_ARGS=--copy --force
 
+OPTIONS_DEFINE=	NLS
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
-CONFIGURE_ARGS+=--enable-nls
 PLIST_SUB+=	NLS=""
 .else
 CONFIGURE_ARGS+=--disable-nls

Modified: head/audio/linnya/distinfo
==============================================================================
--- head/audio/linnya/distinfo	Sat Feb 16 08:56:28 2013	(r312327)
+++ head/audio/linnya/distinfo	Sat Feb 16 09:04:38 2013	(r312328)
@@ -1,2 +1,2 @@
-SHA256 (linnya-2.2.1.tar.gz) = 2849dffec695e701f96663df982a43bec93b79e7cd7cee2a29a1de039cccbe78
-SIZE (linnya-2.2.1.tar.gz) = 841321
+SHA256 (linnya-2.3.0.tar.gz) = 2bfb8a7669db2f5264dfd27efdf910e76a3ff8d9492e5ad42e8d24a0814d4d9a
+SIZE (linnya-2.3.0.tar.gz) = 856421

Modified: head/audio/linnya/pkg-plist
==============================================================================
--- head/audio/linnya/pkg-plist	Sat Feb 16 08:56:28 2013	(r312327)
+++ head/audio/linnya/pkg-plist	Sat Feb 16 09:04:38 2013	(r312328)
@@ -18,10 +18,12 @@ include/linnya/cox/reg.h
 include/linnya/cox/reg.obj.h
 include/linnya/linnya.h
 include/linnya/uix/cfg.h
+include/linnya/uix/cfg.obj.h
 include/linnya/uix/dbg.h
 include/linnya/uix/glb.h
 include/linnya/uix/key.h
 include/linnya/uix/pli.h
+include/linnya/uix/pli.obj.h
 include/linnya/uix/sss.h
 include/linnya/uix/thm.h
 include/linnya/uix/uix.h
@@ -81,9 +83,7 @@ share/icons/hicolor/scalable/apps/linnya
 %%DATADIR%%/uix/icon/plugin.png
 %%DATADIR%%/uix/icon/theme.png
 %%DATADIR%%/uix/theme/default/announcement
-%%DATADIR%%/uix/theme/default/image/bar_seek_background.png
-%%DATADIR%%/uix/theme/default/image/bar_seek_button_hover.png
-%%DATADIR%%/uix/theme/default/image/bar_seek_fill.png
+%%DATADIR%%/uix/theme/default/image/bar_seek_button_normal.png
 %%DATADIR%%/uix/theme/default/image/btn_adds_active.png
 %%DATADIR%%/uix/theme/default/image/btn_adds_hover.png
 %%DATADIR%%/uix/theme/default/image/btn_adds_normal.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Guido Falsi freebsd_committer 2013-02-16 09:04:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!